Page MenuHomePhabricator

improve performance of getSDKName()
ClosedPublic

Authored by aprantl on Mar 12 2020, 2:00 PM.

Details

Summary

The ".sdk" component is usually the last one in the -isysroot, so it makes more sense to scan from the back. Also, technically, someone could install Xcode into a directory ending with .sdk, which would break this heuristic.

Diff Detail

Event Timeline

aprantl created this revision.Mar 12 2020, 2:00 PM
JDevlieghere accepted this revision.Mar 16 2020, 7:57 PM
This revision is now accepted and ready to land.Mar 16 2020, 7:57 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 20 2020, 4:51 PM

@JDevlieghere it's an annoying bug in Phab, but if you approve a patch without providing any textual message, Phab doesn't send email to the mailing list - so it ends up looking like something's committed without approval (if you're just looking at the mailing list). So if possible, please include a message ("Thanks", "Looks good!" etc) when approving patches with Phab.